/**
 * @filename index.js 
 * @encoding UTF-8 
 * @author 邱伟平 
 * @copyright 连云港龙泽商务有限公司 
 * @datetime 2014-5-15  16:56:25
 * @version 1.0
 * @Description
 */


$(document).ready(function(){
    //    alert(base);
    });

document.onkeydown = function(evt){
    var evt = window.event?window.event:evt;
    if (evt.keyCode==13) {
        form_submit();
    }
}

/*
 * 刷新验证码
 */
function reloadcode() {
    var verify = document.getElementById('checkCodeImg');
    verify.setAttribute('src', base+'captcha_code?' + Math.random());
}
/*
 * 表单提交
 */


//function form_submit() {
//    var form = $("#my_form");
//   
//    if( form.find("input[name='email']").val() == ""){
//        alert("邮箱 不能为空");
//        return;
//    };
//
//    if( form.find("input[name='password']").val() == ""){
//        alert("密码 不能为空");
//        return;
//    };
//
//    if( form.find("input[name='captcha_code']").val() == ""){
//        alert("请输入验证码");
//        return;
//    };
//   
//    form.submit();
//}

/**   
 *
 * 表单提交
 * 检查登录的字段内容
 */
function form_submit(){
    var form = $("#my_form");
    var email = form.find("input[name='email']");
    var password =  form.find("input[name='password']");
    var imgcode = form.find("input[name='captcha_code']");
    //alert(email.val());
    var email_format = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/; //验证邮箱的正则表达式
    if(email.val()=="")
    {
        alert("邮箱不能为空！");
        email.focus();
        return false;
    }
   
    if(!email_format.test(email.val()))
    {
        alert("邮箱格式不对！");
        email.focus();
        return false;
    }	
   
    if(password.val()==""){
        alert("密码不能为空！");
        password.focus();
        return false;
    }
     
    if(imgcode.val()==""){
        alert("请输入验证码！");
        imgcode.focus();
        return false;
    }
    
 
	
    // jquery 表单提交  
    $("#my_form").submit(); 
    return true;
}

/* End of file : index.js */
